import request from '@/utils/request'

// 活动状态
export function getActiveStatus() {
  return request({
    url: '/system/pub/enums/get-activityStatus',
    method: 'get'
  })
}

// 抽奖列表
export function getDrawGiftConfigList(params) {
  return request({
    url: '/activity/manage/draw-gift-config/list',
    method: 'get',
    params
  })
}

// 抽奖签呈
export function drawGiftConfigPetition(data) {
  return request({
    url: '/activity/manage/draw-gift-config/online-petition',
    method: 'post',
    data
  })
}

// 查看抽奖
export function getDrawGiftConfigDetail(params) {
  return request({
    url: '/activity/manage/draw-gift-config/detail',
    method: 'get',
    params
  })
}

// 发放方式
export function getGrantWay(params) {
  return request({
    url: '/system/pub/enums/get-grant-way',
    method: 'get',
    params
  })
}

// 抽奖明细列表
export function getDrawDetailList(params) {
  return request({
    url: '/activity/manage/draw/list-number',
    method: 'get',
    params
  })
}

// 中奖记录
export function getActiveDrawDetailList(data) {
  return request({
    url: '/activity/manage/draw/list?pageSize=' + data.pageSize + '&pageNum=' + data.pageNum,
    method: 'post',
    data
  })
}

// 活动类型枚举
export function getActivityType(params) {
  return request({
    url: '/system/pub/enums/activity-type',
    method: 'get',
    params
  })
}

// 活动列表下拉选
export function getActivityFindAll(params) {
  return request({
    url: '/activity/manage/activity/find-all',
    method: 'get',
    params
  })
}

// 充值已购买次数
export function purchasedTimesNotexamine(data) {
  return request({
    url: '/activity/manage/draw/purchased-times',
    method: 'post',
    data
  })
}

// 充值未购买次数
export function unpurchasedTimesNotexamine(data) {
  return request({
    url: '/activity/manage/draw/unpurchased-times',
    method: 'post',
    data
  })
}

